@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Google Earth Cache lschen
::
rem ----------------------------------------------------------------------
::	2008-03-24   support@putzi4win.de
::	2008-11-10   support@putzi4win.de  1.1  Umstellung auf set_dirs.bat; 
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Google Earth Cache lschen
	echo metaVERSION=1.1
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=lscht Google Earth Cache
	echo metaCATEGORY=Anwendungen
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=
	if "%1"=="/meta" goto end
	echo.



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	set DataDir=
	call "%~dp0\tools\set_dirs.bat" appdata
	set DataDir=%DIR_Local_AppData%\Google\GoogleEarth
	set DataDir2=%DIR_AppData%\Google\GoogleEarth

	if NOT exist "%DataDir%" (
		if NOT exist "%DataDir2%" (
			echo ERROR:Der Google Earth-Ordner wurde nicht gefunden. Wahrscheinlich ist Google Earth nicht installiert. Bearbeitung wird abgebrochen.
			goto end
		)
	)

	
	echo %commentLine%
	echo # DATA
	echo %commentLine%
	
	echo # -- local appdata
	if exist "%DataDir%\dbCache.dat"        echo FILE:%DataDir%\dbCache.dat
	if exist "%DataDir%\dbCache.dat.index"  echo FILE:%DataDir%\dbCache.dat.index
	
	echo # -- appdata
	for /F "TOKENS=*" %%b in ('dir /a:-D /s /b "%DataDir2%\*.tmp"') do echo FILE:%%b

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%

	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
